Summary: Programs for backing up and restoring ext2/ext3 filesystems.
Name: dump

%global momorel 2
# XXX --enable-kerberos		needs krcmd
%global myoptions --with-binmode=0755 --with-manowner=root --with-mangrp=root --with-manmode=0644 --with-dumpdates="%{_sysconfdir}/dumpdates"

### include local configuration
%{?include_specopt}

### default configurations
#  If you'd like to change these configurations, please copy them to
# %_specoptdir/dump.specopt and edit it.
%{?!with_readline:	%global with_readline	0}

Version: 0.4b41
Release: %{momorel}m
License: BSD
Group: Applications/Archiving
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz f89bb42d860c58b86b05d0734c9f3649
Patch0: dump-dmfix.patch
URL: http://dump.sourceforge.net/
BuildRequires: e2fsprogs-devel >= 1.18
BuildRequires: libtermcap-devel
BuildRequires: zlib-devel >= 1.2.3-1m
BuildRequires: bzip2-devel
BuildRequires: device-mapper, libselinux-devel, libsepol-devel
%if %{with_readline}
BuildRequires: readline-devel
%endif
# This Prereq is now required because need to ensure the "disk" group
# is created before installation
Requires: setup
Requires: rmt
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The dump package contains both dump and restore. Dump examines files
in a filesystem, determines which ones need to be backed up, and
copies those files to a specified disk, tape, or other storage medium.
The restore command performs the inverse function of dump; it can
restore a full backup of a filesystem. Subsequent incremental backups
can then be layered on top of the full backup. Single files and
directory subtrees may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

%package -n rmt
Summary: Provides certain programs with access to remote tape devices.
Group: Applications/Archiving

%description -n rmt
The rmt utility provides remote access to tape devices for programs
like dump (a filesystem backup program), restore (a program for
restoring files from a backup), and tar (an archiving program).

%package -n dump-static
Summary: Statically linked versions of dump and restore.
Group: Applications/Archiving

%description -n dump-static
The dump package contains both dump and restore. Dump examines files in
a filesystem, determines which ones need to be backed up, and copies
those files to a specified disk, tape, or other storage medium. The
restore command performs the inverse function of dump; it can restore a
full backup of a filesystem. Subsequent incremental backups can then be
layered on top of the full backup. Single files and directory subtrees
may also be restored from full or partial backups.

Install dump if you need a system for both backing up filesystems and
restoring filesystems after backups.

This package contains statically linked versions of dump and restore.

%prep
%setup -q

%patch0 -p1 -b .dmfix

%build
%if ! %{with_readline}
%append myoptions -- --disable-readline
%endif

%configure %{myoptions} --enable-static --disable-rmt

make OPT="%{optflags} -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts"

mv dump/dump dump/dump.static
mv restore/restore restore/restore.static

make distclean

%configure %{myoptions}

make OPT="%{optflags} -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_mandir}/man8

%makeinstall SBINDIR=%{buildroot}/sbin MANDIR=%{buildroot}%{_mandir}/man8 BINOWNER=$(id -un) BINGRP=$(id -gn) MANOWNER=$(id -un) MANGRP=$(id -gn)

install -m 755 dump/dump.static %{buildroot}/sbin
install -m 755 restore/restore.static %{buildroot}/sbin

{ cd %{buildroot}
  strip sbin/* || :
  ln -sf dump ./sbin/rdump
  ln -sf dump.static ./sbin/rdump.static
  ln -sf restore ./sbin/rrestore
  ln -sf restore.static ./sbin/rrestore.static
  chmod ug-s ./sbin/rmt
  mkdir -p .%{_sysconfdir}
  > .%{_sysconfdir}/dumpdates
  ln -sf ../sbin/rmt .%{_sysconfdir}/rmt
}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT KNOWNBUGS MAINTAINERS README REPORTING-BUGS THANKS TODO
%doc dump.lsm examples
%attr(0664,root,disk)   %config(noreplace) %{_sysconfdir}/dumpdates
%attr(0755,root,root)    /sbin/dump
/sbin/rdump
%attr(0755,root,root)    /sbin/restore
/sbin/rrestore
%{_mandir}/man8/dump.*
%{_mandir}/man8/rdump.*
%{_mandir}/man8/restore.*
%{_mandir}/man8/rrestore.*

%files -n rmt
%defattr(-,root,root)
%attr(0755,root,root)   /sbin/rmt
%{_sysconfdir}/rmt
%{_mandir}/man8/rmt.* 

%files -n dump-static
%defattr(-,root,root)
%attr(0755,root,root)    /sbin/dump.static
/sbin/rdump.static
%attr(0755,root,root)    /sbin/restore.static
/sbin/rrestore.static

%changelog
* Sat May 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.4b41-2m)
- import dump-dmfix.patch from Fedora Core devel
 +* Tue Jan 11 2006 Jindrich Novy <jnovy@redhat.com> 0.4b41-1
 +- link against device-mapper

* Sat Jan 21 2006 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.4b41-1m)
- update to 0.4b41
  maintenance release

* Sat Jul 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.4b40-3m)
- rebuild against zlib-1.2.3 (CAN-2005-1849)

* Sat Jul 12 2005 OZAWA Sakuro <crouton@momonga-linux.org>
- rebuild dump-static against zlib-1.2.2-2m, which fixes CAN-2005-2096.

* Tue May 10 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.4b40-1m)
- update to 0.4b40
  Major feature enhancements: support for ext2/ext3 extended
  attributes (EA).
- sync with original SRPM.

* Thu Jan 27 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.4b39-1m)
- update to 0.4b39
  Major bugfixes: 'restore -C' which could cause damage on the
  filesystem being compared.

* Thu Jan 13 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.4b38-1m)
- update to 0.4b38
  several small bug fixes and a number of performance enhancements

* Tue Sep  7 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.4b37-1m)
- update to 0.4b37

* Sat Apr 24 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.4b36-1m)
- update to 0.4b36
- remove readline support default configuration
  conflict between BSD license and readline's

* Fri Dec 26 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.4b35-1m)
- update to 0.4b35

* Sat Aug  9 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (0.4b34-1m)
- update to 0.4b34
- use %%{momorel} macro
- change Licence from UCB to BSD
- use %%NoSource 0 and change URI
- add --enable-readline, --enable-qfa, --enable-largefile for configure
- add examples to %%doc

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4b32-2m)
- rebuild against zlib 1.1.4-5m
- delete define rpm macros _sbindir and _sysconfdir, use /sbin

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.4b32-1m)
- update to 0.4b32

* Tue Mar 12 2002 Masahiro Takahata <takahata@kondara.org>
- (0.4b27-2k)
- update to 0.4b27

* Thu Oct  4 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.4b24-2k)
- update to 0.4b24

* Thu Mar 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.4b20-4k)
- rebuild against glibc-2.2.2 and add dump.glibc222.time.h

* Thu Nov 30 2000 HIROSE Masaaki <hirose31@t3.rim.or.jp>
- (0.4b20-1k)
- update to 0.4b20

* Thu Nov  2 2000 HIROSE Masaaki <hirose31@t3.rim.or.jp>
- (0.4b19-2k)
- drop setuid, setgid bits from /sbin/dump, /sbin/restore for security issue.
- change group of /sbin/dump, /sbin/restore for root from tty.

* Fri Oct 20 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.4b19-1k)
- update to 0.4b19

* Fri Aug 11 2000 AYUHANA Tomonori <l@kondara.org>
- (0.4b18-0.2k)
- add %define _sysconfdir /etc (jitter#637)
- add BuildRequires: e2fsprogs-devel

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sat Jul  1 2000 HIROSE Masaaki <hirose31@t3.rim.or.jp>
- dump 0.4b18 released, first packaging.
- fix buffer overflow vulnerability in restore.
- add japanese description and summary.

* Tue Jun 20 2000 AYUHANA Tomonori <l@kondara.org>
- merge from RawHide (0.4b17-1)
- remove static package
- SPEC fixed ( URL )

* Tue Mar 14 2000 HIROSE Masaaki <hirose31@t3.rim.or.jp>
- dump 0.4b16 released, first packaging.

* Fri Jan 28 2000 Takaaki Tabuchii <tab@kondara.org>
- be able to rebuild non-root user. 

* Wed Nov 18 1999 Norihito Ohmori <nono@kondara.org>
-  be a NoSrc :-P

* Wed Nov 5 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b9 released, first packaging.

* Wed Nov 3 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b8 released, first packaging.

* Thu Oct 8 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b7 released, first packaging.

* Thu Sep 30 1999 Stelian Pop <pop@cybercable.fr>
- dump 0.4b6 released, first packaging.

* Fri Sep 10 1999 Jeff Johnson <jbj@redhat.com>
- recompile with e2fsprogs = 1.15 (#4962).

* Sat Jul 31 1999 Jeff Johnson <jbj@redhat.com>
- workaround egcs bug (#4281) that caused dump problems (#2989).
- use sigjmp_buf, not jmp_buf (#3260).
- invoke /etc/rmt (instead of rmt) like other unices. (#3272).
- use glibc21 err/glob rather than the internal compatibility routines.
- wire $(OPT) throughout Makefile's.
- fix many printf problems, mostly lint clean.
- merge SuSE, Debian and many OpenBSD fixes.

* Thu Mar 25 1999 Jeff Johnson <jbj@redhat.com>
- remove setuid/setgid bits from /sbin/rmt (dump/restore are OK).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Thu Mar 18 1999 Jeff Johnson <jbj@redhat.com>
- Fix dangling symlinks (#1551).

* Wed Mar 17 1999 Michael Maher <mike@redhat.com>
- Top O' the morning, build root's fixed for man pages.  

* Fri Feb 19 1999 Preston Brown <pbrown@redhat.com>
- upgraded to dump 0.4b4, massaged patches.

* Tue Feb 02 1999 Ian A Cameron <I.A.Cameron@open.ac.uk>
- added patch from Derrick J Brashear for traverse.c to stop bread errors

* Wed Jan 20 1999 Jeff Johnson <jbj@redhat.com>
- restore original 6755 root.tty to dump/restore, defattr did tty->root (#684).
- mark /etc/dumpdates as noreplace.

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- add build root.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for resolving linux/types.h and sys/types.h conflicts

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added prototype of llseek() so dump would work on large partitions

* Thu Oct 30 1997 Donnie Barnes <djb@redhat.com>
- made all symlinks relative instead of absolute

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved rmt to its own package.

* Tue Feb 11 1997 Michael Fulbright <msf@redhat.com>
- Added endian cleanups for SPARC

* Fri Feb 07 1997 Michael K. Johnson <johnsonm@redhat.com> 
- Made /etc/dumpdates writeable by group disk.
